// Local
import '/models/item_type.dart';
import '/models/tracked_item.dart';

class Asset extends TrackedItem {
  static String amountText = "Amount";

  Asset({
    super.id,
    super.type = ItemType.asset,
    required super.name,
    required super.amount,
    required super.description,
  });

  factory Asset.fromMap(Map<String, dynamic> json) => Asset(
        id: json['id'],
        name: json['name'],
        amount: json['amount'],
        description: json['description'],
      );
}
